# Interface PrebuiltSharedLibraryBinary

All Superinterfaces:
  `Binary, NativeBinary, NativeLibraryBinary, SharedLibraryBinary`

@Incubating public interface PrebuiltSharedLibraryBinary extends SharedLibraryBinary
A shared library that exists at a known location on the filesystem.

## Method Summary

Modifier and Type
Method
Description
`void`
`setSharedLibraryFile(File sharedLibraryFile)`
The shared library file.
`void`
`setSharedLibraryLinkFile(File sharedLibraryLinkFile)`
The shared library link file.

### Methods inherited from interface Binary

`getDisplayName`

### Methods inherited from interface NativeBinary

`getBuildType, getFlavor, getTargetPlatform`

### Methods inherited from interface NativeLibraryBinary

`getHeaderDirs, getLinkFiles, getRuntimeFiles`

### Methods inherited from interface SharedLibraryBinary

`getSharedLibraryFile, getSharedLibraryLinkFile`

## Method Details

### setSharedLibraryFile

void setSharedLibraryFile(File sharedLibraryFile)
The shared library file.

### setSharedLibraryLinkFile

void setSharedLibraryLinkFile(File sharedLibraryLinkFile)
The shared library link file.